RESNET50_CONVERT_MAP = {
    "backbone.bottom_up.stem.conv1.weight": "conv1.weight",
    "backbone.bottom_up.stem.conv1.norm.weight": "bn1.weight",
    "backbone.bottom_up.stem.conv1.norm.bias": "bn1.bias",
    "backbone.bottom_up.stem.conv1.norm.running_mean": "bn1.running_mean",
    "backbone.bottom_up.stem.conv1.norm.running_var": "bn1.running_var",

    "backbone.bottom_up.res2.0.shortcut.weight": "layer1.0.downsample.0.weight",
    "backbone.bottom_up.res2.0.shortcut.norm.weight": "layer1.0.downsample.1.weight",
    "backbone.bottom_up.res2.0.shortcut.norm.bias": "layer1.0.downsample.1.bias",
    "backbone.bottom_up.res2.0.shortcut.norm.running_mean": "layer1.0.downsample.1.running_mean",
    "backbone.bottom_up.res2.0.shortcut.norm.running_var": "layer1.0.downsample.1.running_var",
    "backbone.bottom_up.res2.0.conv1.weight": "layer1.0.conv1.weight",
    "backbone.bottom_up.res2.0.conv1.norm.weight": "layer1.0.bn1.weight",
    "backbone.bottom_up.res2.0.conv1.norm.bias": "layer1.0.bn1.bias",
    "backbone.bottom_up.res2.0.conv1.norm.running_mean": "layer1.0.bn1.running_mean",
    "backbone.bottom_up.res2.0.conv1.norm.running_var": "layer1.0.bn1.running_var",
    "backbone.bottom_up.res2.0.conv2.weight": "layer1.0.conv2.weight",
    "backbone.bottom_up.res2.0.conv2.norm.weight": "layer1.0.bn2.weight",
    "backbone.bottom_up.res2.0.conv2.norm.bias": "layer1.0.bn2.bias",
    "backbone.bottom_up.res2.0.conv2.norm.running_mean": "layer1.0.bn2.running_mean",
    "backbone.bottom_up.res2.0.conv2.norm.running_var": "layer1.0.bn2.running_var",
    "backbone.bottom_up.res2.0.conv3.weight": "layer1.0.conv3.weight",
    "backbone.bottom_up.res2.0.conv3.norm.weight": "layer1.0.bn3.weight",
    "backbone.bottom_up.res2.0.conv3.norm.bias": "layer1.0.bn3.bias",
    "backbone.bottom_up.res2.0.conv3.norm.running_mean": "layer1.0.bn3.running_mean",
    "backbone.bottom_up.res2.0.conv3.norm.running_var": "layer1.0.bn3.running_var",

    "backbone.bottom_up.res2.1.conv1.weight": "layer1.1.conv1.weight",
    "backbone.bottom_up.res2.1.conv1.norm.weight": "layer1.1.bn1.weight",
    "backbone.bottom_up.res2.1.conv1.norm.bias": "layer1.1.bn1.bias",
    "backbone.bottom_up.res2.1.conv1.norm.running_mean": "layer1.1.bn1.running_mean",
    "backbone.bottom_up.res2.1.conv1.norm.running_var": "layer1.1.bn1.running_var",
    "backbone.bottom_up.res2.1.conv2.weight": "layer1.1.conv2.weight",
    "backbone.bottom_up.res2.1.conv2.norm.weight": "layer1.1.bn2.weight",
    "backbone.bottom_up.res2.1.conv2.norm.bias": "layer1.1.bn2.bias",
    "backbone.bottom_up.res2.1.conv2.norm.running_mean": "layer1.1.bn2.running_mean",
    "backbone.bottom_up.res2.1.conv2.norm.running_var": "layer1.1.bn2.running_var",
    "backbone.bottom_up.res2.1.conv3.weight": "layer1.1.conv3.weight",
    "backbone.bottom_up.res2.1.conv3.norm.weight": "layer1.1.bn3.weight",
    "backbone.bottom_up.res2.1.conv3.norm.bias": "layer1.1.bn3.bias",
    "backbone.bottom_up.res2.1.conv3.norm.running_mean": "layer1.1.bn3.running_mean",
    "backbone.bottom_up.res2.1.conv3.norm.running_var": "layer1.1.bn3.running_var",

    "backbone.bottom_up.res2.2.conv1.weight": "layer1.2.conv1.weight",
    "backbone.bottom_up.res2.2.conv1.norm.weight": "layer1.2.bn1.weight",
    "backbone.bottom_up.res2.2.conv1.norm.bias": "layer1.2.bn1.bias",
    "backbone.bottom_up.res2.2.conv1.norm.running_mean": "layer1.2.bn1.running_mean",
    "backbone.bottom_up.res2.2.conv1.norm.running_var": "layer1.2.bn1.running_var",
    "backbone.bottom_up.res2.2.conv2.weight": "layer1.2.conv2.weight",
    "backbone.bottom_up.res2.2.conv2.norm.weight": "layer1.2.bn2.weight",
    "backbone.bottom_up.res2.2.conv2.norm.bias": "layer1.2.bn2.bias",
    "backbone.bottom_up.res2.2.conv2.norm.running_mean": "layer1.2.bn2.running_mean",
    "backbone.bottom_up.res2.2.conv2.norm.running_var": "layer1.2.bn2.running_var",
    "backbone.bottom_up.res2.2.conv3.weight": "layer1.2.conv3.weight",
    "backbone.bottom_up.res2.2.conv3.norm.weight": "layer1.2.bn3.weight",
    "backbone.bottom_up.res2.2.conv3.norm.bias": "layer1.2.bn3.bias",
    "backbone.bottom_up.res2.2.conv3.norm.running_mean": "layer1.2.bn3.running_mean",
    "backbone.bottom_up.res2.2.conv3.norm.running_var": "layer1.2.bn3.running_var",

    "backbone.bottom_up.res3.0.shortcut.weight": "layer2.0.downsample.0.weight",
    "backbone.bottom_up.res3.0.shortcut.norm.weight": "layer2.0.downsample.1.weight",
    "backbone.bottom_up.res3.0.shortcut.norm.bias": "layer2.0.downsample.1.bias",
    "backbone.bottom_up.res3.0.shortcut.norm.running_mean": "layer2.0.downsample.1.running_mean",
    "backbone.bottom_up.res3.0.shortcut.norm.running_var": "layer2.0.downsample.1.running_var",
    "backbone.bottom_up.res3.0.conv1.weight": "layer2.0.conv1.weight",
    "backbone.bottom_up.res3.0.conv1.norm.weight": "layer2.0.bn1.weight",
    "backbone.bottom_up.res3.0.conv1.norm.bias": "layer2.0.bn1.bias",
    "backbone.bottom_up.res3.0.conv1.norm.running_mean": "layer2.0.bn1.running_mean",
    "backbone.bottom_up.res3.0.conv1.norm.running_var": "layer2.0.bn1.running_var",
    "backbone.bottom_up.res3.0.conv2.weight": "layer2.0.conv2.weight",
    "backbone.bottom_up.res3.0.conv2.norm.weight": "layer2.0.bn2.weight",
    "backbone.bottom_up.res3.0.conv2.norm.bias": "layer2.0.bn2.bias",
    "backbone.bottom_up.res3.0.conv2.norm.running_mean": "layer2.0.bn2.running_mean",
    "backbone.bottom_up.res3.0.conv2.norm.running_var": "layer2.0.bn2.running_var",
    "backbone.bottom_up.res3.0.conv3.weight": "layer2.0.conv3.weight",
    "backbone.bottom_up.res3.0.conv3.norm.weight": "layer2.0.bn3.weight",
    "backbone.bottom_up.res3.0.conv3.norm.bias": "layer2.0.bn3.bias",
    "backbone.bottom_up.res3.0.conv3.norm.running_mean": "layer2.0.bn3.running_mean",
    "backbone.bottom_up.res3.0.conv3.norm.running_var": "layer2.0.bn3.running_var",

    "backbone.bottom_up.res3.1.conv1.weight": "layer2.1.conv1.weight",
    "backbone.bottom_up.res3.1.conv1.norm.weight": "layer2.1.bn1.weight",
    "backbone.bottom_up.res3.1.conv1.norm.bias": "layer2.1.bn1.bias",
    "backbone.bottom_up.res3.1.conv1.norm.running_mean": "layer2.1.bn1.running_mean",
    "backbone.bottom_up.res3.1.conv1.norm.running_var": "layer2.1.bn1.running_var",
    "backbone.bottom_up.res3.1.conv2.weight": "layer2.1.conv2.weight",
    "backbone.bottom_up.res3.1.conv2.norm.weight": "layer2.1.bn2.weight",
    "backbone.bottom_up.res3.1.conv2.norm.bias": "layer2.1.bn2.bias",
    "backbone.bottom_up.res3.1.conv2.norm.running_mean": "layer2.1.bn2.running_mean",
    "backbone.bottom_up.res3.1.conv2.norm.running_var": "layer2.1.bn2.running_var",
    "backbone.bottom_up.res3.1.conv3.weight": "layer2.1.conv3.weight",
    "backbone.bottom_up.res3.1.conv3.norm.weight": "layer2.1.bn3.weight",
    "backbone.bottom_up.res3.1.conv3.norm.bias": "layer2.1.bn3.bias",
    "backbone.bottom_up.res3.1.conv3.norm.running_mean": "layer2.1.bn3.running_mean",
    "backbone.bottom_up.res3.1.conv3.norm.running_var": "layer2.1.bn3.running_var",

    "backbone.bottom_up.res3.2.conv1.weight": "layer2.2.conv1.weight",
    "backbone.bottom_up.res3.2.conv1.norm.weight": "layer2.2.bn1.weight",
    "backbone.bottom_up.res3.2.conv1.norm.bias": "layer2.2.bn1.bias",
    "backbone.bottom_up.res3.2.conv1.norm.running_mean": "layer2.2.bn1.running_mean",
    "backbone.bottom_up.res3.2.conv1.norm.running_var": "layer2.2.bn1.running_var",
    "backbone.bottom_up.res3.2.conv2.weight": "layer2.2.conv2.weight",
    "backbone.bottom_up.res3.2.conv2.norm.weight": "layer2.2.bn2.weight",
    "backbone.bottom_up.res3.2.conv2.norm.bias": "layer2.2.bn2.bias",
    "backbone.bottom_up.res3.2.conv2.norm.running_mean": "layer2.2.bn2.running_mean",
    "backbone.bottom_up.res3.2.conv2.norm.running_var": "layer2.2.bn2.running_var",
    "backbone.bottom_up.res3.2.conv3.weight": "layer2.2.conv3.weight",
    "backbone.bottom_up.res3.2.conv3.norm.weight": "layer2.2.bn3.weight",
    "backbone.bottom_up.res3.2.conv3.norm.bias": "layer2.2.bn3.bias",
    "backbone.bottom_up.res3.2.conv3.norm.running_mean": "layer2.2.bn3.running_mean",
    "backbone.bottom_up.res3.2.conv3.norm.running_var": "layer2.2.bn3.running_var",

    "backbone.bottom_up.res3.3.conv1.weight": "layer2.3.conv1.weight",
    "backbone.bottom_up.res3.3.conv1.norm.weight": "layer2.3.bn1.weight",
    "backbone.bottom_up.res3.3.conv1.norm.bias": "layer2.3.bn1.bias",
    "backbone.bottom_up.res3.3.conv1.norm.running_mean": "layer2.3.bn1.running_mean",
    "backbone.bottom_up.res3.3.conv1.norm.running_var": "layer2.3.bn1.running_var",
    "backbone.bottom_up.res3.3.conv2.weight": "layer2.3.conv2.weight",
    "backbone.bottom_up.res3.3.conv2.norm.weight": "layer2.3.bn2.weight",
    "backbone.bottom_up.res3.3.conv2.norm.bias": "layer2.3.bn2.bias",
    "backbone.bottom_up.res3.3.conv2.norm.running_mean": "layer2.3.bn2.running_mean",
    "backbone.bottom_up.res3.3.conv2.norm.running_var": "layer2.3.bn2.running_var",
    "backbone.bottom_up.res3.3.conv3.weight": "layer2.3.conv3.weight",
    "backbone.bottom_up.res3.3.conv3.norm.weight": "layer2.3.bn3.weight",
    "backbone.bottom_up.res3.3.conv3.norm.bias": "layer2.3.bn3.bias",
    "backbone.bottom_up.res3.3.conv3.norm.running_mean": "layer2.3.bn3.running_mean",
    "backbone.bottom_up.res3.3.conv3.norm.running_var": "layer2.3.bn3.running_var",

    "backbone.bottom_up.res4.0.shortcut.weight": "layer3.0.downsample.0.weight",
    "backbone.bottom_up.res4.0.shortcut.norm.weight": "layer3.0.downsample.1.weight",
    "backbone.bottom_up.res4.0.shortcut.norm.bias": "layer3.0.downsample.1.bias",
    "backbone.bottom_up.res4.0.shortcut.norm.running_mean": "layer3.0.downsample.1.running_mean",
    "backbone.bottom_up.res4.0.shortcut.norm.running_var": "layer3.0.downsample.1.running_var",
    "backbone.bottom_up.res4.0.conv1.weight": "layer3.0.conv1.weight",
    "backbone.bottom_up.res4.0.conv1.norm.weight": "layer3.0.bn1.weight",
    "backbone.bottom_up.res4.0.conv1.norm.bias": "layer3.0.bn1.bias",
    "backbone.bottom_up.res4.0.conv1.norm.running_mean": "layer3.0.bn1.running_mean",
    "backbone.bottom_up.res4.0.conv1.norm.running_var": "layer3.0.bn1.running_var",
    "backbone.bottom_up.res4.0.conv2.weight": "layer3.0.conv2.weight",
    "backbone.bottom_up.res4.0.conv2.norm.weight": "layer3.0.bn2.weight",
    "backbone.bottom_up.res4.0.conv2.norm.bias": "layer3.0.bn2.bias",
    "backbone.bottom_up.res4.0.conv2.norm.running_mean": "layer3.0.bn2.running_mean",
    "backbone.bottom_up.res4.0.conv2.norm.running_var": "layer3.0.bn2.running_var",
    "backbone.bottom_up.res4.0.conv3.weight": "layer3.0.conv3.weight",
    "backbone.bottom_up.res4.0.conv3.norm.weight": "layer3.0.bn3.weight",
    "backbone.bottom_up.res4.0.conv3.norm.bias": "layer3.0.bn3.bias",
    "backbone.bottom_up.res4.0.conv3.norm.running_mean": "layer3.0.bn3.running_mean",
    "backbone.bottom_up.res4.0.conv3.norm.running_var": "layer3.0.bn3.running_var",

    "backbone.bottom_up.res4.1.conv1.weight": "layer3.1.conv1.weight",
    "backbone.bottom_up.res4.1.conv1.norm.weight": "layer3.1.bn1.weight",
    "backbone.bottom_up.res4.1.conv1.norm.bias": "layer3.1.bn1.bias",
    "backbone.bottom_up.res4.1.conv1.norm.running_mean": "layer3.1.bn1.running_mean",
    "backbone.bottom_up.res4.1.conv1.norm.running_var": "layer3.1.bn1.running_var",
    "backbone.bottom_up.res4.1.conv2.weight": "layer3.1.conv2.weight",
    "backbone.bottom_up.res4.1.conv2.norm.weight": "layer3.1.bn2.weight",
    "backbone.bottom_up.res4.1.conv2.norm.bias": "layer3.1.bn2.bias",
    "backbone.bottom_up.res4.1.conv2.norm.running_mean": "layer3.1.bn2.running_mean",
    "backbone.bottom_up.res4.1.conv2.norm.running_var": "layer3.1.bn2.running_var",
    "backbone.bottom_up.res4.1.conv3.weight": "layer3.1.conv3.weight",
    "backbone.bottom_up.res4.1.conv3.norm.weight": "layer3.1.bn3.weight",
    "backbone.bottom_up.res4.1.conv3.norm.bias": "layer3.1.bn3.bias",
    "backbone.bottom_up.res4.1.conv3.norm.running_mean": "layer3.1.bn3.running_mean",
    "backbone.bottom_up.res4.1.conv3.norm.running_var": "layer3.1.bn3.running_var",

    "backbone.bottom_up.res4.2.conv1.weight": "layer3.2.conv1.weight",
    "backbone.bottom_up.res4.2.conv1.norm.weight": "layer3.2.bn1.weight",
    "backbone.bottom_up.res4.2.conv1.norm.bias": "layer3.2.bn1.bias",
    "backbone.bottom_up.res4.2.conv1.norm.running_mean": "layer3.2.bn1.running_mean",
    "backbone.bottom_up.res4.2.conv1.norm.running_var": "layer3.2.bn1.running_var",
    "backbone.bottom_up.res4.2.conv2.weight": "layer3.2.conv2.weight",
    "backbone.bottom_up.res4.2.conv2.norm.weight": "layer3.2.bn2.weight",
    "backbone.bottom_up.res4.2.conv2.norm.bias": "layer3.2.bn2.bias",
    "backbone.bottom_up.res4.2.conv2.norm.running_mean": "layer3.2.bn2.running_mean",
    "backbone.bottom_up.res4.2.conv2.norm.running_var": "layer3.2.bn2.running_var",
    "backbone.bottom_up.res4.2.conv3.weight": "layer3.2.conv3.weight",
    "backbone.bottom_up.res4.2.conv3.norm.weight": "layer3.2.bn3.weight",
    "backbone.bottom_up.res4.2.conv3.norm.bias": "layer3.2.bn3.bias",
    "backbone.bottom_up.res4.2.conv3.norm.running_mean": "layer3.2.bn3.running_mean",
    "backbone.bottom_up.res4.2.conv3.norm.running_var": "layer3.2.bn3.running_var",

    "backbone.bottom_up.res4.3.conv1.weight": "layer3.3.conv1.weight",
    "backbone.bottom_up.res4.3.conv1.norm.weight": "layer3.3.bn1.weight",
    "backbone.bottom_up.res4.3.conv1.norm.bias": "layer3.3.bn1.bias",
    "backbone.bottom_up.res4.3.conv1.norm.running_mean": "layer3.3.bn1.running_mean",
    "backbone.bottom_up.res4.3.conv1.norm.running_var": "layer3.3.bn1.running_var",
    "backbone.bottom_up.res4.3.conv2.weight": "layer3.3.conv2.weight",
    "backbone.bottom_up.res4.3.conv2.norm.weight": "layer3.3.bn2.weight",
    "backbone.bottom_up.res4.3.conv2.norm.bias": "layer3.3.bn2.bias",
    "backbone.bottom_up.res4.3.conv2.norm.running_mean": "layer3.3.bn2.running_mean",
    "backbone.bottom_up.res4.3.conv2.norm.running_var": "layer3.3.bn2.running_var",
    "backbone.bottom_up.res4.3.conv3.weight": "layer3.3.conv3.weight",
    "backbone.bottom_up.res4.3.conv3.norm.weight": "layer3.3.bn3.weight",
    "backbone.bottom_up.res4.3.conv3.norm.bias": "layer3.3.bn3.bias",
    "backbone.bottom_up.res4.3.conv3.norm.running_mean": "layer3.3.bn3.running_mean",
    "backbone.bottom_up.res4.3.conv3.norm.running_var": "layer3.3.bn3.running_var",

    "backbone.bottom_up.res4.4.conv1.weight": "layer3.4.conv1.weight",
    "backbone.bottom_up.res4.4.conv1.norm.weight": "layer3.4.bn1.weight",
    "backbone.bottom_up.res4.4.conv1.norm.bias": "layer3.4.bn1.bias",
    "backbone.bottom_up.res4.4.conv1.norm.running_mean": "layer3.4.bn1.running_mean",
    "backbone.bottom_up.res4.4.conv1.norm.running_var": "layer3.4.bn1.running_var",
    "backbone.bottom_up.res4.4.conv2.weight": "layer3.4.conv2.weight",
    "backbone.bottom_up.res4.4.conv2.norm.weight": "layer3.4.bn2.weight",
    "backbone.bottom_up.res4.4.conv2.norm.bias": "layer3.4.bn2.bias",
    "backbone.bottom_up.res4.4.conv2.norm.running_mean": "layer3.4.bn2.running_mean",
    "backbone.bottom_up.res4.4.conv2.norm.running_var": "layer3.4.bn2.running_var",
    "backbone.bottom_up.res4.4.conv3.weight": "layer3.4.conv3.weight",
    "backbone.bottom_up.res4.4.conv3.norm.weight": "layer3.4.bn3.weight",
    "backbone.bottom_up.res4.4.conv3.norm.bias": "layer3.4.bn3.bias",
    "backbone.bottom_up.res4.4.conv3.norm.running_mean": "layer3.4.bn3.running_mean",
    "backbone.bottom_up.res4.4.conv3.norm.running_var": "layer3.4.bn3.running_var",

    "backbone.bottom_up.res4.5.conv1.weight": "layer3.5.conv1.weight",
    "backbone.bottom_up.res4.5.conv1.norm.weight": "layer3.5.bn1.weight",
    "backbone.bottom_up.res4.5.conv1.norm.bias": "layer3.5.bn1.bias",
    "backbone.bottom_up.res4.5.conv1.norm.running_mean": "layer3.5.bn1.running_mean",
    "backbone.bottom_up.res4.5.conv1.norm.running_var": "layer3.5.bn1.running_var",
    "backbone.bottom_up.res4.5.conv2.weight": "layer3.5.conv2.weight",
    "backbone.bottom_up.res4.5.conv2.norm.weight": "layer3.5.bn2.weight",
    "backbone.bottom_up.res4.5.conv2.norm.bias": "layer3.5.bn2.bias",
    "backbone.bottom_up.res4.5.conv2.norm.running_mean": "layer3.5.bn2.running_mean",
    "backbone.bottom_up.res4.5.conv2.norm.running_var": "layer3.5.bn2.running_var",
    "backbone.bottom_up.res4.5.conv3.weight": "layer3.5.conv3.weight",
    "backbone.bottom_up.res4.5.conv3.norm.weight": "layer3.5.bn3.weight",
    "backbone.bottom_up.res4.5.conv3.norm.bias": "layer3.5.bn3.bias",
    "backbone.bottom_up.res4.5.conv3.norm.running_mean": "layer3.5.bn3.running_mean",
    "backbone.bottom_up.res4.5.conv3.norm.running_var": "layer3.5.bn3.running_var",

    "backbone.bottom_up.res5.0.shortcut.weight": "layer4.0.downsample.0.weight",
    "backbone.bottom_up.res5.0.shortcut.norm.weight": "layer4.0.downsample.1.weight",
    "backbone.bottom_up.res5.0.shortcut.norm.bias": "layer4.0.downsample.1.bias",
    "backbone.bottom_up.res5.0.shortcut.norm.running_mean": "layer4.0.downsample.1.running_mean",
    "backbone.bottom_up.res5.0.shortcut.norm.running_var": "layer4.0.downsample.1.running_var",
    "backbone.bottom_up.res5.0.conv1.weight": "layer4.0.conv1.weight",
    "backbone.bottom_up.res5.0.conv1.norm.weight": "layer4.0.bn1.weight",
    "backbone.bottom_up.res5.0.conv1.norm.bias": "layer4.0.bn1.bias",
    "backbone.bottom_up.res5.0.conv1.norm.running_mean": "layer4.0.bn1.running_mean",
    "backbone.bottom_up.res5.0.conv1.norm.running_var": "layer4.0.bn1.running_var",
    "backbone.bottom_up.res5.0.conv2.weight": "layer4.0.conv2.weight",
    "backbone.bottom_up.res5.0.conv2.norm.weight": "layer4.0.bn2.weight",
    "backbone.bottom_up.res5.0.conv2.norm.bias": "layer4.0.bn2.bias",
    "backbone.bottom_up.res5.0.conv2.norm.running_mean": "layer4.0.bn2.running_mean",
    "backbone.bottom_up.res5.0.conv2.norm.running_var": "layer4.0.bn2.running_var",
    "backbone.bottom_up.res5.0.conv3.weight": "layer4.0.conv3.weight",
    "backbone.bottom_up.res5.0.conv3.norm.weight": "layer4.0.bn3.weight",
    "backbone.bottom_up.res5.0.conv3.norm.bias": "layer4.0.bn3.bias",
    "backbone.bottom_up.res5.0.conv3.norm.running_mean": "layer4.0.bn3.running_mean",
    "backbone.bottom_up.res5.0.conv3.norm.running_var": "layer4.0.bn3.running_var",

    "backbone.bottom_up.res5.1.conv1.weight": "layer4.1.conv1.weight",
    "backbone.bottom_up.res5.1.conv1.norm.weight": "layer4.1.bn1.weight",
    "backbone.bottom_up.res5.1.conv1.norm.bias": "layer4.1.bn1.bias",
    "backbone.bottom_up.res5.1.conv1.norm.running_mean": "layer4.1.bn1.running_mean",
    "backbone.bottom_up.res5.1.conv1.norm.running_var": "layer4.1.bn1.running_var",
    "backbone.bottom_up.res5.1.conv2.weight": "layer4.1.conv2.weight",
    "backbone.bottom_up.res5.1.conv2.norm.weight": "layer4.1.bn2.weight",
    "backbone.bottom_up.res5.1.conv2.norm.bias": "layer4.1.bn2.bias",
    "backbone.bottom_up.res5.1.conv2.norm.running_mean": "layer4.1.bn2.running_mean",
    "backbone.bottom_up.res5.1.conv2.norm.running_var": "layer4.1.bn2.running_var",
    "backbone.bottom_up.res5.1.conv3.weight": "layer4.1.conv3.weight",
    "backbone.bottom_up.res5.1.conv3.norm.weight": "layer4.1.bn3.weight",
    "backbone.bottom_up.res5.1.conv3.norm.bias": "layer4.1.bn3.bias",
    "backbone.bottom_up.res5.1.conv3.norm.running_mean": "layer4.1.bn3.running_mean",
    "backbone.bottom_up.res5.1.conv3.norm.running_var": "layer4.1.bn3.running_var",

    "backbone.bottom_up.res5.2.conv1.weight": "layer4.2.conv1.weight",
    "backbone.bottom_up.res5.2.conv1.norm.weight": "layer4.2.bn1.weight",
    "backbone.bottom_up.res5.2.conv1.norm.bias": "layer4.2.bn1.bias",
    "backbone.bottom_up.res5.2.conv1.norm.running_mean": "layer4.2.bn1.running_mean",
    "backbone.bottom_up.res5.2.conv1.norm.running_var": "layer4.2.bn1.running_var",
    "backbone.bottom_up.res5.2.conv2.weight": "layer4.2.conv2.weight",
    "backbone.bottom_up.res5.2.conv2.norm.weight": "layer4.2.bn2.weight",
    "backbone.bottom_up.res5.2.conv2.norm.bias": "layer4.2.bn2.bias",
    "backbone.bottom_up.res5.2.conv2.norm.running_mean": "layer4.2.bn2.running_mean",
    "backbone.bottom_up.res5.2.conv2.norm.running_var": "layer4.2.bn2.running_var",
    "backbone.bottom_up.res5.2.conv3.weight": "layer4.2.conv3.weight",
    "backbone.bottom_up.res5.2.conv3.norm.weight": "layer4.2.bn3.weight",
    "backbone.bottom_up.res5.2.conv3.norm.bias": "layer4.2.bn3.bias",
    "backbone.bottom_up.res5.2.conv3.norm.running_mean": "layer4.2.bn3.running_mean",
    "backbone.bottom_up.res5.2.conv3.norm.running_var": "layer4.2.bn3.running_var",
}
